# OpenLayers.Tile.UTFGrid

Instances of OpenLayers.Tile.UTFGrid are used to manage UTFGrids. This is an unusual tile type in that it doesn’t have a rendered image; only a ‘hit grid’ that can be used to look up feature attributes.

See the OpenLayers.Tile.UTFGrid constructor for details on constructing a new instance.

#### Inherits from

- OpenLayers.Tile

Summary

OpenLayers.Tile.UTFGrid | Instances of OpenLayers.Tile.UTFGrid are used to manage UTFGrids.
Constructor |
OpenLayers.Tile.UTFGrid | Constructor for a new OpenLayers.Tile.UTFGrid instance.
Functions |
destroy | Clean up.

### Constructor

### OpenLayers.Tile.UTFGrid

Constructor for a new OpenLayers.Tile.UTFGrid instance.

#### Parameters

layer | {OpenLayers.Layer} layer that the tile will go in.
position | {OpenLayers.Pixel}
bounds | {OpenLayers.Bounds}
url | {String} Deprecated. Remove me in 3.0.
size | {OpenLayers.Size}
options | {Object}

### Functions

### destroy

> destroy: function()

Clean up.

Constructor for a new OpenLayers.Tile.UTFGrid instance.

> destroy: function()

Clean up.
This class represents a screen coordinate, in x and y coordinates
Instances of this class represent bounding boxes.
Contains convenience functions for string manipulation.
Instances of this class represent a width/height pair
Close